Hinweis: Das Forum wird geschlossen! Neue Registrierungen sind nicht mehr möglich!

 Zurück zu Pro-Linux   Foren-Übersicht   FAQ     Suchen    Mitgliederliste
Wie bekomme ich libc.so.6(GLIBC_2.3)

 
Neuen Beitrag schreiben   Auf Beitrag antworten    Pro-Linux Foren-Übersicht -> Software
Vorheriges Thema anzeigen :: Nächstes Thema anzeigen  
Autor Nachricht
muecke



Anmeldungsdatum: 14.05.2003
Beiträge: 65

BeitragVerfasst am: 15. Mai 2003 16:45   Titel: Wie bekomme ich libc.so.6(GLIBC_2.3)

Hallo zusammen,

ich versuche seit ein paar Tagen das Programm gaim bei mir zu installieren, bekomme aber immer die Fehlermeldung, dass mir eine libc.so.6(GLIBC_2.3) fehle.
Das Programm gaim habe ich von www.sourceforge.net . Ich benutze SuSe 8.1 personal und KDE 3.0.3
Ich habe das Programm als *.rpm runtergeladen und wollte es mit Yast installieren, bekomme aber immer die oben genannte Meldung. Ich hab auch schon mal bei Google gesucht aber irgendwie nichts gefunden, was mein Problem gelöst hätte (vermutlich bin ich einfach mal wieder zu schwer von Begriff).
In einem anderen Forum wurde mir geraten die Datei mal auf meiner Festplatte zu suchen gefunden habe ich eine Datei /usr/lib/libc.so mit dem Inhalt

/* GNU ld script
Use the shared library, but some functions are only in
the static library, so try that secondarily. */
GROUP ( /lib/libc.so.6 /usr/lib/libc_nonshared.a )

Dann sollte ich die Version bestimmen:
bei eingabe von rpm -q glibc bekomme ich folgendes:
glibc-2.2.5-165

Ich vermute also mal das ich nicht die richtige Version der Bibliothek habe.

Daraufhin habe ich mal ein bisschen rumgesucht und habe bei www.rpmseek.com eine glibc2.3.1 gefunden und die installiert, sie hatte aber keine Wirkung. Das Problem ist immer noch da und die Meldung auf rpm -q glibc ist immer noch gleich.

Dann wurde ich hier her verwiesen, da niemandem mehr etwas eingefallen ist.
Ich habe zwar die Version 0.59 von gaim bei mir installieren können aber ich hätte dann doch gerne die neuste Version (v.0.62)

Ich hoffe ihr könnt mir helfen.
Gruß Mücke
_________________
SuSE9.0; KDE 3.1.4; Architektur: i686; Kernel: 2.4.19-4GB
 
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen AIM-Name

benjamin
Gast





BeitragVerfasst am: 16. Mai 2003 16:06   Titel: Re: Wie bekomme ich libc.so.6(GLIBC_2.3)

da kannst du wenig machen, wenn du glibc 2.3 net per hand installieren willst. zumindest war das bei mir so.
aber ist gaim net auf deinen suse-cd's drauf?
bei mandrake ist das sogar standardmäßig installiert

gruss benjamin
 

muecke



Anmeldungsdatum: 14.05.2003
Beiträge: 65

BeitragVerfasst am: 17. Mai 2003 12:12   Titel: Re: Wie bekomme ich libc.so.6(GLIBC_2.3)

Ne gaim ist bei mir leider nicht dabei.
Gibt es eine Anleitung wie ich glibc 2.3 per Hand installieren kann?
Ich nehme an das geht mit make/make install, aber als Linux-Anfänger wäre mir eine Hilfe da schon lieber.

Gruß Mücke
_________________
SuSE9.0; KDE 3.1.4; Architektur: i686; Kernel: 2.4.19-4GB
 
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen AIM-Name

Marc
Gast





BeitragVerfasst am: 18. Mai 2003 16:59   Titel: Re: Wie bekomme ich libc.so.6(GLIBC_2.3)

Hi
./configure
make
make install
README lesen für weitere Instruktionen, da stehen wichtige Parameter und Optionen drin.

Gruss
Marc
 

nano



Anmeldungsdatum: 09.08.2002
Beiträge: 200

BeitragVerfasst am: 19. Mai 2003 13:05   Titel: Re: Wie bekomme ich libc.so.6(GLIBC_2.3)

Hi Mueckensturm

nur so ein Einwurf - willst du nicht lieber gaim compilieren, als die ganze glibc?
Das ist sicher einfacher, und weniger riskant.
Auf der glibc baut nämlich dein ganzes System auf, und wer weiß, was dann alles nicht mehr funktioniert.

Versuchs lieber erstmal so!

Gruß,
nano
 
Benutzer-Profile anzeigen Private Nachricht senden

muecke



Anmeldungsdatum: 14.05.2003
Beiträge: 65

BeitragVerfasst am: 19. Mai 2003 17:47   Titel: Re: Wie bekomme ich libc.so.6(GLIBC_2.3)

Probieren kann ich es ja mal.
Ich dachte nur, dass das nichts bringen würde, da ich ja trotzdem nicht die aktuelle glibc Version habe.

Gruß Mücke
_________________
SuSE9.0; KDE 3.1.4; Architektur: i686; Kernel: 2.4.19-4GB
 
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen AIM-Name

nano



Anmeldungsdatum: 09.08.2002
Beiträge: 200

BeitragVerfasst am: 20. Mai 2003 9:33   Titel: Re: Wie bekomme ich libc.so.6(GLIBC_2.3)

Ich denke nicht, daß gaim wirklich die aktuelle glibc benötigt.
Dein Problem kam nur daher, daß eben das RPM, welches du installieren wolltest, auf einem System mit einer glibc2.3 erstellt wurde.

Aber wenn du die Software selbst übersetzt, dann ist deine glibc mit Sicherheit ausreichend.

Übrigens kann ich dir das Programm 'checkinstall' wärmstens empfehlen. Damit kannst du im Handumdrehen ein eigenes RPM aus den gaim-Sourcen erstellen.
Das macht dann das Updaten, bzw. Entfernen (bei Nichtgefallen ) wesentlich einfacher.

Gruß,
nano
 
Benutzer-Profile anzeigen Private Nachricht senden

Beiträge vom vorherigen Thema anzeigen:   
     Pro-Linux Foren-Übersicht -> Software Alle Zeiten sind GMT + 1 Stunde
Seite 1 von 1

 
Gehen Sie zu:  

Powered by phpBB © phpBB Group
pro_linux Theme © 2004 by Mandaxy